##
##  sitecopy.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2011 OpenPKG Foundation e.V. <http://openpkg.net/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         sitecopy
Summary:      Interactive Client for HTTP and DAV protocol
URL:          http://www.manyfish.co.uk/sitecopy/
Vendor:       Joe Orton
Packager:     OpenPKG Foundation e.V.
Distribution: OpenPKG Community
Class:        BASE
Group:        Web
License:      GPL
Version:      0.16.6
Release:      20110731

#   list of sources
Source0:      http://www.manyfish.co.uk/sitecopy/sitecopy-%{version}.tar.gz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20100101, make, gcc
PreReq:       OpenPKG, openpkg >= 20100101
BuildPreReq:  openssl, neon, libxml, expat, getopt
PreReq:       openssl, neon, libxml, expat, getopt

%description
    Sitecopy is a HTTP and DAV client.

%track
    prog sitecopy = {
        version   = %{version}
        url       = http://www.manyfish.co.uk/sitecopy/
        regex     = sitecopy-(__VER__)\.tar\.gz
    }

%prep
    %setup -q

%build
    ( echo "ac_cv_func_gss_init_sec_context=no"
    ) >config.cache
    CC="%{l_cc}" \
    CFLAGS="%{l_cflags -O}" \
    CPPFLAGS="%{l_cppflags libxml2}" \
    LDFLAGS="%{l_ldflags}" \
    LIBS="-lgetopt" \
    ./configure \
        --cache-file=./config.cache \
        --prefix=%{l_prefix} \
        --with-ssl \
        --without-included-neon \
        --with-libxml2 \
        --without-gnome \
        --disable-rsh \
        --disable-nls
    %{l_make} %{l_mflags -O}

%install
    %{l_make} %{l_mflags} install DESTDIR=$RPM_BUILD_ROOT
    rm -rf $RPM_BUILD_ROOT%{l_prefix}/share
    rm -rf $RPM_BUILD_ROOT%{l_prefix}/doc
    rm -rf $RPM_BUILD_ROOT%{l_prefix}/man/fr
    strip $RPM_BUILD_ROOT%{l_prefix}/bin/* >/dev/null 2>&1 || true
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

